Crash if ephemeral is not present

Bug #956989 reported by Julien Danjou on 2012-03-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Dashboard (Horizon)
Medium
Julien Danjou
OpenStack Identity (keystone)
Undecided
Gabriel Hurley

Bug Description

[Thu Mar 15 16:12:02 2012] [error] File "/usr/lib/python2.7/dist-packages/horizon/forms/views.py", line 66, in get
[Thu Mar 15 16:12:02 2012] [error] context = self.get_context_data(**kwargs)
[Thu Mar 15 16:12:02 2012] [error] File "/usr/lib/python2.7/dist-packages/horizon/dashboards/nova/images_and_snapshots/images/views.py", line 69, in get_context_data
[Thu Mar 15 16:12:02 2012] [error] exceptions.handle(self.request)
[Thu Mar 15 16:12:02 2012] [error] File "/usr/lib/python2.7/dist-packages/horizon/dashboards/nova/images_and_snapshots/images/views.py", line 67, in get_context_data
[Thu Mar 15 16:12:02 2012] [error] context['usages'] = api.tenant_quota_usages(self.request)
[Thu Mar 15 16:12:02 2012] [error] File "/usr/lib/python2.7/dist-packages/horizon/api/nova.py", line 386, in tenant_quota_usages
[Thu Mar 15 16:12:02 2012] [error] flavors[instance.flavor['id']], flavor_field)
[Thu Mar 15 16:12:02 2012] [error] File "/usr/lib/python2.7/dist-packages/novaclient/base.py", line 293, in __getattr__
[Thu Mar 15 16:12:02 2012] [error] raise AttributeError(k)
[Thu Mar 15 16:12:02 2012] [error] AttributeError: ephemeral

Gabriel Hurley (gabriel-hurley) wrote :

I believe this was meant to be reported against Horizon. Adding Horizon to the bug.

Changed in keystone:
assignee: nobody → Gabriel Hurley (gabriel-hurley)
status: New → Invalid
Changed in horizon:
importance: Undecided → Medium
milestone: none → essex-rc1
status: New → Confirmed
status: Confirmed → In Progress
assignee: nobody → Julien Danjou (jdanjou)

Reviewed: https://review.openstack.org/5450
Committed: http://github.com/openstack/horizon/commit/cefb1350f18cc4b4d326e1725ff9b5c981d11e0f
Submitter: Jenkins
Branch: master

commit cefb1350f18cc4b4d326e1725ff9b5c981d11e0f
Author: Julien Danjou <email address hidden>
Date: Fri Mar 16 15:05:11 2012 +0100

    Set usage to 0 if attribute not present

    This fixes bug #956989

    Change-Id: If673dff48806642c866c593ab0575a470906cb2d
    Signed-off-by: Julien Danjou <email address hidden>

Changed in horizon:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2012-03-20
Changed in horizon:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in horizon:
milestone: essex-rc1 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers